From: <a href="/blend/av.cgi?id=887">Just L</a><BR>
Date: 23 December 2014<P>

CryingShame58: I read Rumi like some people do daily devotionals, and whenever I am unsure I pick it up like some use the I Ching...<BR>
<BR>
Here's a lovely start for those who don't know Rumi, "There is Some Kiss We Want"<BR>
<BR>
<a href="http://rumidays.blogspot.com/2011/03/there-is-some-kiss-we-want.html">http://rumidays.blogspot.com/2011/03/there-is-some-kiss-we-want.html</a>
<HR>
From: <a href="/blend/av.cgi?id=887">Just L</a><BR>
Date: 23 December 2014<P>

CryingShame58: I read Rumi like some people do daily devotionals, and whenever I am unsure I pick it up like some use the I Ching...<BR>
<BR>
Here's a lovely start for those who don't know Rumi, "There is Some Kiss We Want"<BR>
<BR>
<a href="http://rumidays.blogspot.com/2011/03/there-is-some-kiss-we-want.html">http://rumidays.blogspot.com/2011/03/there-is-some-kiss-we-want.html</a>
<HR>